#open "obj";;
#open "lexing";;

type parse_tables =
  { actions : (unit -> obj) vect;
    transl : int vect;
    lhs : int vect;
    len : int vect;
    defred : int vect;
    dgoto : int vect;
    sindex : int vect;
    rindex : int vect;
    gindex : int vect;
    tablesize : int;
    table : int vect;
    check : int vect }
;;

exception yyexit of obj
      and Parse_error of (obj -> bool)
;;

value yyparse : parse_tables -> int -> (lexbuf -> 'a) -> lexbuf -> 'b
  and peek_val : int -> 'a
  and symbol_start : unit -> int
  and symbol_end : unit -> int
  and clear_parser : unit -> unit
;;
